Overview Document
=================

This archive contains the code to launch the simulation and generate
the plots.

- analysis/   : R scripts to generate the code
- cleanupSomeAlgs.sh : utility to remove some results so that they can be recomputed
- inputs/     : input graphs
- Makefile
- plots/      : final plots
- results/    : intermediate results
- scripts/    : scripts launching the simulations

Getting Started Guide
---------------------

Even though it is possible to run this code on other systems with some
adjustments, the code was primarily developed on a debian-like system
(Ubuntu 18.04).

A recent version of python and R can be installed as follows on a
debian-like system (in a shell):

    $ sudo apt install r-base
    $ sudo apt install python3

R scripts were used with the following packages on R 3.4.4:

- ggplot2 3.1.0
- plyr 1.8.4
- scales 1.0.0

Install all required packages as follows (around 10 minutes) within R
(launched with `R` in a shell):

    $ R
    > install.packages(c("ggplot2", "plyr" , "scales")

The scripts also require `pmtool`, which can be found on
<https://gitlab.inria.fr/eyrauddu/pmtool>.  We have used commit number
78cc9963 from 2019, April 16 to perform our experiments. Note that you
need to replace each path to pmtool
(`/home/eyraud/Travail/StarPU/pmtool/cmake-build-cplex/pmtool`) by
your own in all scripts in directory `scripts`.

Step-by-Step Instructions
-------------------------

The randomIndep input data can be generated with 

```
cd inputs/lyon/
Rscript --vanilla generateAsEuroparPaper.R
```

Once this is done, all simulations can be launched with a single call to `make`.
