#!/usr/bin/env python3

import string
import sys



def readOneChar(file):
    res = file.read(1)
    if res:
        return res[0]
    else:
        raise Exception

def readChar(file):
    try: 
        char = file.read(1)
        while char in string.whitespace: char = file.read(1)
        return char
    except Exception:
        return None

def readThisChar(file, target):
    char = readChar(file)
    return (char == target)

# Assumes there is no '[' or ']' inside the string
def stringToArray(string):
    if string[0] != '[' or string[-1] != ']': return None
    return string[1:-1].split(',')

# Only handle the special case where there is one array per line
def readArray(file):
    line = ""
    while not line:
        line = file.readline().strip()
    return stringToArray(line)

def countTasks(fileName):
    file = open(fileName, "r")
    workers = readArray(file)
    for w in workers:
        execTime = readArray(file)
    taskTypes = readArray(file)
    return len(taskTypes)

def countTasksMany(fileNames):
    return [(f, countTasks(f)) for f in fileNames]

if __name__ == "__main__":
    counts = countTasksMany(sys.argv[1:])
    for (filename, count) in counts:
        print(filename, count)
    
    
